Description

From Bill Badgett:

I'm trying to revive the TPC RO at DO, but i'm getting the following in the tpc log file:

$MSG-e tpcO0l_xmlrpc_commander: Starting 14-May-2020 12:12:44 CDT Booted xmlrpc_commander.cc:479
Exception when trying to start the run: Unknown exception
SMSG

Could someone please add more information to this exception? Is there a common error that's happ
ening?

Looking into the code, this is coming from a catch-all block, but there are several common exception types that it is missing
(boost::exception and std::exception come to mind), which could report more information. Additionally, the error message itself is
very unhelpful, and should be improved.

Related issues:
Copied to artdaq - Feature #24418: Use ExceptionHandler in xmlrpc_commander New 05/14/2020

History

#1 - 05/14/2020 12:51 PM - John Freeman

That xmlrpc_commander code was likely written circa 2014 or before, before ExceptionHandler was written - it may be a good idea to retrofit its
try-blocks with ExceptionHandler functionality.

#2 - 05/14/2020 01:14 PM - Eric Flumerfelt

- Copied to Feature #24418: Use ExceptionHandler in xmirpc_commander added

#3 - 05/14/2020 01:14 PM - Eric Flumerfelt

- Status changed from New to Resolved

While John has a good point, | also have simply fixed the code on artdaq:bugfix/24417_xmirpc_ExceptionMessages. | have opened #24418 to
capture the modernization of xmlrpc_commander.

#4 - 07/24/2020 02:14 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_00

- Status changed from Resolved to Closed
